Subject: Re: [PATCH] net: phy: Support for non-HW interrupt devices

From: Andrew Lunn <[email-masked]>
Date: Fri, 8 Jan 2016 22:36:40 +0100

> Sounds good, I will send some patches shortly which really fix the PHY
> state machine not to poll PHYs configured with PHY_IGNORE_INTERRUPT and
> fixing phy_mac_interrupt() to be callable in hard IRQ context (finally).

This last be could be interesting. One of the things i needed to do
was change request_irq to request_threaded_irq(). Because i need to do
MDIO reads to determine what PHY causes the interrupts, the code is in
thread context when it actually fires the interrupt.

The core IRQ code is happy to turn an interrupt context interrupt into
a threaded context interrupt, but it cannot do it the other way
around.

Using threaded interrupts would also allow the phylib code to be
simplified, but i didn't get that far yet.

	    Andrew